#include<bits/stdc++.h>
using namespace std;
bool ktntcn(int x, int y)
{
    bool kt=true;
    int tg=x+y;
    int min=x;
    if(y<min){min=y;}
    for(int i=2;i<=min;i++)
    {
        if(min % i==0)
        {
            if((tg-min)% i==0)
            {
                kt=false;
                break;
            }
        }
    }
    return kt;
}
int main()
{
    ifstream fi("dayso.inp");
    ofstream fo("ntcn.out");
    int n;
    fi>>n;
    int a[n];
    for(int i=0;i<n;i++)
    {
        fi>>a[i];
    }
    for(int i=0;i<n-1;i++)
    {
        for(int j=i+1;j<n;j++)
        {
            if(a[i]==a[j])
            {
                for(int k=j;k<n-1;k++)
                {
                    a[k]=a[k+1];
                }
                n--;
            }
        }
    }
    for(int i=0;i<n-1;i++)
    {
        for(int j=i+1;j<n;j++)
        {
            if(ktntcn(a[i],a[j]))
            {
                fo<<a[i]<<' '<<a[j]<<endl;
            }
        }
    }
}
